<?php
if ( ! function_exists( 'Pia_setup' ) ) :
	function Pia_setup() {

	/* width     bredd */
	global $content_width; 
	if ( ! isset( $content_width ) ) 
	$content_width = 600;
	
	/* translate */
	load_theme_textdomain( 'Pia', get_template_directory() . '/languages' );
	
	add_theme_support( 'custom-background');
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' );

	/* add menu */
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'Pia' ),
	) );
	
	define( 'NO_HEADER_TEXT', true );
	add_editor_style();
}
endif;
add_action( 'after_setup_theme', 'Pia_setup' );


/* add the jquery and slider        ladda jquery och slidern*/
function Pia_scripts(){
	if ( ! is_admin() ){
			wp_enqueue_script( 'jquery' );
			wp_register_script( 'Pia_cycle', get_template_directory_uri() . '/inc/jquery.cycle.all.js' );
			wp_enqueue_script( 'Pia_cycle');
			wp_register_script( 'Pia_custom_script', get_template_directory_uri() . '/inc/pia.js' );
			wp_enqueue_script( 'Pia_custom_script');
			
			if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
				wp_enqueue_script( 'comment-reply' );
			}
			wp_enqueue_style( 'Pia_style', get_stylesheet_uri() );
	}
}
add_action( 'wp_enqueue_scripts', 'Pia_scripts' );

//Customizer
require get_template_directory() . '/inc/customizer.php';

function pia_customize_css() {
	echo '<style type="text/css">';
	
	if( get_theme_mod( 'pia_accent_color' ) <> '' ) {
		echo 'pre {
				border:4px solid ' . get_theme_mod( 'pia_accent_color' ) . '
			}
			.widget-area,
			.reply,
			#entry-author-info,
			.pia-date{
				background:' . get_theme_mod( 'pia_accent_color' ) . '
			}			
			#menu ul ul a:hover,
			#menu ul li ul :hover > a
			{
				border-left:3px solid ' . get_theme_mod( 'pia_accent_color' ) . '
			}
			#featured_slider a,
			#featured_slider a:hover,
			#featured_slider h2,
			#featured_slider .pia_slider,
			#site-description,
			#site-title a {
				color:' . get_theme_mod( 'pia_accent_color' ) . '
			}';
	}
	if( get_theme_mod( 'pia_accent_color_black' ) <> '' ) {
		echo '#today,
			.comment-body,
			.type-page, 
			#featured_slider .feat_next,
			#featured_slider .feat_prev,
			.type-attachment,
			.post,
			#menu ul ul a,
			#menu {
				background:' . get_theme_mod( 'pia_accent_color_black' ) . '
			}';
	}
	echo '</style>';
}
add_action( 'wp_head', 'pia_customize_css');


/* Post excerpt        utdrag*/
add_filter( 'get_the_excerpt', 'Pia_custom_excerpt_more',100 );
add_filter( 'excerpt_more', 'Pia_auto_excerpt_more',100 );
add_filter( 'the_content_more_link', 'Pia_continue_reading_link', 100 );
	
function Pia_excerpt_length( $length ) {
	return 120;
}
add_filter( 'excerpt_length', 'Pia_excerpt_length' );

/* "Continue Reading"      Byt ut [...]*/
function Pia_continue_reading_link() {
	return ' <a href="'. get_permalink() . '">' . __( 'Continue reading ', 'Pia' ) . get_the_title() . ' &rarr;</a>';
}

function Pia_auto_excerpt_more( $more ) {
	return ' &hellip;' . Pia_continue_reading_link();
}
add_filter( 'excerpt_more', 'Pia_auto_excerpt_more' );

function Pia_custom_excerpt_more( $output ) {
	if ( has_excerpt() && ! is_attachment() ) {
		$output .= Pia_continue_reading_link();
	}
	return $output;
}
add_filter( 'get_the_excerpt', 'Pia_custom_excerpt_more' );


/**
 * Filters wp_title to print a neat <title> tag based on what is being viewed.
 */
function pia_wp_title( $title, $sep ) {
	global $page, $paged;
	if ( is_feed() ){
		return $title;
	}
	// Add the blog name
	$title .= get_bloginfo( 'name' );
	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) ){
		$title .= " $sep $site_description";
	}
	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 ){
		$title .= " $sep " . sprintf( __( 'Page %s', 'pia' ), max( $paged, $page ) );
	}	
	if ( is_404() ) {
        $title .=  " $sep " . sprintf( __( 'Page not found', 'pia' ) );
    }
	return $title;
}
add_filter( 'wp_title', 'pia_wp_title', 11, 2 );

/* Comments        Kommentarerna */
if ( ! function_exists( 'Pia_comment' ) ) :
	function Pia_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		switch ( $comment->comment_type ) :
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<div class="comment-body">
				<div class="comment-author vcard">
				<?php 
					if ($comment->comment_parent) {
						$parent_comment = get_comment($comment->comment_parent);
						echo '<cite class="fn">' .get_comment_author_link() .'</cite>';
						printf( __(' in reply to <i>%1$s</i> on %2$s at %3$s:','Pia' ), $parent_comment->comment_author, get_comment_date(__('F j, Y','Pia')), get_comment_time(__('g:i A','Pia')) ); 
					}
					else {
						printf( __('<cite class="fn">%s</cite>','Pia'), get_comment_author_link() ); 
						/* translators: 1: date, 2: time */
						printf( __( ' on %1$s at %2$s:', 'Pia' ), get_comment_date(__('F j, Y','Pia')),  get_comment_time(__('g:i A','Pia')) ); 
					}
					edit_comment_link( __( '(Edit)', 'Pia' ), ' ' );	?>
				</div>
			
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em><?php _e( 'Your comment is awaiting moderation.', 'Pia' ); ?></em><br/>
				<?php endif; ?>
			<?php comment_text(); ?>
			</div>
			<?php echo get_avatar( $comment, 50 ); ?>
			<?php comment_reply_link( array_merge( $args, array('before'=> '<div class="reply">', 'after' => '</div>', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
	<?php
		break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="pingback">
	<p><?php comment_author_link(); ?>   <?php edit_comment_link( __('(Edit)', 'Pia'), ' ' ); ?></p>
	<?php
	break;
	endswitch;
}
endif;


function Pia_widgets() {
	/* Register widget areas (Sidebars)        Skapa sidebars*/
	register_sidebar(array('name'=>'Top_Widgetarea_Left'));
	register_sidebar(array('name'=>'Top_Widgetarea_Middle'));
	register_sidebar(array('name'=>'Top_Widgetarea_Right'));

	register_sidebar(array('name'=>'Footer_Widgetarea_Left'));
	register_sidebar(array('name'=>'Footer_Widgetarea_Middle'));
	register_sidebar(array('name'=>'Footer_Widgetarea_Right'));
}
add_action( 'widgets_init', 'Pia_widgets' );



if ( ! function_exists( 'Pia_meta' ) ) :
/**
 * Prints meta information for the current post.
 */
function Pia_meta() {
	echo '<div class="entry-meta">';
	_e('Posted by ', 'Pia');
    the_author_posts_link();
	
	if (is_single()):
		echo __(' on ','Pia');
		the_time(get_option('date_format'));
	endif;
	
	echo ' | ';
	
	if ( count( get_the_category() ) ) :
		echo ' ' . get_the_category_list(', ') . ' | ' ;
	endif;
	
	if (get_the_tag_list()):
		//$pia_tags_list = get_the_tag_list( '', ', ' );
		_e( 'Tagged ', 'Pia' );
		echo get_the_tag_list( '', ', ' );
		echo ' | ';
	endif; 
	
	comments_popup_link();
	echo ' | ';
	edit_post_link( __( 'Edit', 'Pia' ) . '<span class="screen-reader-text">' . get_the_title() . '</span>');
echo '</div>';
}
endif;

function pia_add_js(){
?>
<script type="text/javascript">
	/* <![CDATA[ */
	jQuery('#featured_slider ul').cycle({ 
	fx: 'scrollHorz',
	prev: '.feat_prev',
	next: '.feat_next',
	speed:  1050, 
	timeout: 4000, 
	});
	/* ]]> */
</script>
<?php
}
add_action('wp_footer', 'pia_add_js');

//Thanks: http://www.evagoras.com/2012/11/01/how-to-handle-and-customize-an-empty-search-query-in-wordpress/
function pia_search($query) {
    // If 's' request variable is set but empty
    if (isset($_GET['s']) && empty($_GET['s']) && $query->is_main_query()){
        $query->is_search = true;
        $query->is_home = false;
    }
    return $query;
}
add_filter('pre_get_posts','pia_search');


?>